Download it now!
Bug 114749 - Impress template font settings cleanup
Summary: Impress template font settings cleanup
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Laurent BP
URL:
Whiteboard: target:6.1.0 target:6.3.0
Keywords:
Depends on:
Blocks: Templates
  Show dependency treegraph
 
Reported: 2017-12-29 10:36 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-03-11 06:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-12-29 10:36:15 UTC
So i was checking through the improved templates done in this commit[1] and noticed that a number of additional improvements are needed.

1. Times New Roman should be replaced with Liberation Serif similar to how Arial was being replaced with Liberation Sans.

2. Fonts not bundled with LO should be replaced, like the 'Roboto Bk' font found in the Progress.otp file.

[1] https://cgit.freedesktop.org/libreoffice/core/commit/?id=ebbcdd2416b02f2d796dc0dd24bc013be39575b3
Comment 1 Commit Notification 2018-03-21 19:39:08 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=625f341d4c1e7e1043702687a55a972f55cb8ebb

tdf#114749 Replace fonts in templates

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Xisco Faulí 2018-04-23 08:58:40 UTC Comment hidden (obsolete)
Comment 3 Laurent BP 2018-04-23 16:57:19 UTC
(In reply to Xisco Faulí from comment #2)
> A polite ping to Laurent BP: is this bug fixed? if so, could you
> please close it as RESOLVED FIXED ? Thanks

I only changed Impress templates. Writer templates also require modifications.
Comment 4 Xisco Faulí 2018-07-23 11:57:43 UTC Comment hidden (obsolete)
Comment 5 Timur 2018-12-25 12:10:28 UTC
This bug should be just for Impress templates, as it started.
Comment 6 Timur 2018-12-25 12:26:31 UTC
From what I see in styles.xml of Templates, we have mostly Liberation Sans and Liberation Sans Narrow. 
Alizarin.otp has also Source Sans Pro. 
Focus.otp has DejaVu Sans. 
Impress.otp has Noto Sans. 
LushGreen.otp has Ubuntu. 
Midnightblue.otp has Source Sans Pro, FreeSans and some Asian fonts '源ノ角ゴシック .
Vivid.otp has Source Sans Pro, Source Sans Pro Black, Source Sans Pro Light, Noto Sans Regular.
Comment 7 Laurent BP 2019-02-23 10:23:30 UTC
(In reply to Timur from comment #6)
> From what I see in styles.xml of Templates, we have mostly Liberation Sans
> and Liberation Sans Narrow. 
> Alizarin.otp has also Source Sans Pro. 
> Focus.otp has DejaVu Sans. 
> Impress.otp has Noto Sans. 
> LushGreen.otp has Ubuntu. 
> Midnightblue.otp has Source Sans Pro, FreeSans and some Asian fonts '源ノ角ゴシック
> .
> Vivid.otp has Source Sans Pro, Source Sans Pro Black, Source Sans Pro Light,
> Noto Sans Regular.

Most of these fonts are bundled [1]: Dejavu, Noto, Source Sans

Need to remove:
> LushGreen.otp has Ubuntu. 
> Midnightblue.otp has FreeSans and some Asian fonts '源ノ角ゴシック.


[1] https://opengrok.libreoffice.org/xref/core/external/more_fonts/
Comment 8 Laurent BP 2019-03-03 16:28:10 UTC
In commit https://gerrit.libreoffice.org/#/c/68643/
I removed unused font and duplicate definitions in all Impress templates
Comment 9 Commit Notification 2019-03-11 01:13:32 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/13a260f59e421f3e67845f8f2eb22b8f0f8fcaf0%5E%21

tdf#114749 Replace fonts in Impress templates

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.